MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007570Open CASCADE[OCCT] OCCT:Data Exchangepublic2004-12-23 08:502014-11-11 13:01
Reportermsv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0007570: Exception in ShapeFix_Wireframe::FixSmallEdges
DescriptionConsider the following code:

1: ShapeFix_Wireframe fix_tool(shape);
2: fix_tool.ModeDropSmallEdges() = Standard_True;
3: fix_tool.SetPrecision(1.e+6);
4: fix_tool.SetLimitAngle(0.01);
5: fix_tool.FixSmallEdges();
6: TopoDS_Shape new_shape = fix_tool.Shape();

Give the attached shape to it. The exception SIGSEGV is raised in the line #5.
TagsNo tags attached.
Test case numberbugs heal(017) bug7570
Attached Files? file icon small.brep (6,490 bytes) 2004-12-23 06:50

- Relationships

-  Notes
(0032877)
git (administrator)
2014-10-09 12:44

Branch CR7570 has been created by pdn.

SHA-1: d06f5f36a0234ff574756ee77f3472a5eeef04f8


Detailed log of new commits:

Author: pdn
Date: Thu Oct 9 12:43:24 2014 +0400

    0007570: Exception in ShapeFix_Wireframe::FixSmallEdges
    
    Exception fixed by checking if subshape removed completely.
(0032878)
pdn (developer)
2014-10-09 12:45

Fixed, test case to be created from steps listed by msv.
(0032884)
abv (manager)
2014-10-09 13:42

No remarks, please test
(0033032)
git (administrator)
2014-10-13 18:20

Branch CR7570 has been updated by apv.

SHA-1: 1fdadaa5e89f651cfb7778e95c2b79c0ff7f8fd5


Detailed log of new commits:

Author: apv
Date: Mon Oct 13 18:20:02 2014 +0400

    Test-case for issue 0007570

(0033035)
apv (tester)
2014-10-13 19:04

Dear BugMaster,

Branch CR7570 (and products from GIT master) was compiled on Linux, Windows and MacOS platforms and tested.
SHA-1: 1fdadaa5e89f651cfb7778e95c2b79c0ff7f8fd5

Number of compiler warnings:
occt component:
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 11 (11 on master)
   Windows: 1 (1 on master)

Regressions/Differences:
Not detected

Testing case:
bugs heal(017) bug7570 - OK
http://occt-tests/CR7570-master-occt/Debian60-64/bugs/heal/bug7570.html [^]
http://occt-tests/CR7570-master-occt/Windows-32-VC10/bugs/heal/bug7570.html [^]

Testing on Linux:
Total MEMORY difference: 397403644 / 397901176
Total CPU difference: 46003.069999999934 / 47179.12000000023

Testing on Windows:
Total MEMORY difference: 279023304 / 278279828
Total CPU difference: 39675.65625 / 32988.765625
(0033404)
git (administrator)
2014-10-21 16:40

Branch CR7570 has been deleted by inv.

SHA-1: 1fdadaa5e89f651cfb7778e95c2b79c0ff7f8fd5

- Related Changesets
occt: master c6037065
Timestamp: 2014-10-16 10:24:19
Author: pdn
Committer: bugmaster
Details ] Diff ]
0007570: Exception in ShapeFix_Wireframe::FixSmallEdges

Exception fixed by checking if subshape removed completely.

Test-case for issue 0007570
mod - src/QABugs/QABugs_19.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_Wireframe.cxx Diff ] File ]
add - tests/bugs/heal/bug7570 Diff ] File ]

- Issue History
Date Modified Username Field Change
2004-12-23 08:51 msv CC => gka
2004-12-24 09:52 bugmaster Assigned To bugmaster => pdn
2004-12-24 09:52 bugmaster Status new => assigned
2011-08-02 11:12 bugmaster Category OCCT:DTE => OCCT:Data Exchange
2014-10-09 12:44 git Note Added: 0032877
2014-10-09 12:45 pdn Note Added: 0032878
2014-10-09 12:45 pdn Assigned To pdn => abv
2014-10-09 12:45 pdn Status assigned => resolved
2014-10-09 12:45 pdn Fixed in Version EMPTY =>
2014-10-09 12:45 pdn Target Version => 6.8.0
2014-10-09 12:45 pdn Description Updated View Revisions
2014-10-09 13:42 abv Note Added: 0032884
2014-10-09 13:42 abv Assigned To abv => bugmaster
2014-10-09 13:42 abv Status resolved => reviewed
2014-10-09 14:41 apv Assigned To bugmaster => apv
2014-10-13 18:18 apv Test case number => bugs heal(017) bug7570
2014-10-13 18:20 git Note Added: 0033032
2014-10-13 19:04 apv Note Added: 0033035
2014-10-13 19:04 apv Assigned To apv => bugmaster
2014-10-13 19:04 apv Status reviewed => tested
2014-10-20 10:24 bugmaster Changeset attached => occt master c6037065
2014-10-20 10:24 bugmaster Status tested => verified
2014-10-20 10:24 bugmaster Resolution open => fixed
2014-10-21 16:40 git Note Added: 0033404
2014-11-11 12:43 aiv Fixed in Version => 6.8.0
2014-11-11 13:01 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker